Package org.eclipse.mat.inspections

# Class CommonNameResolver.ValueResolver

java.lang.Object
org.eclipse.mat.inspections.CommonNameResolver.ValueResolver

All Implemented Interfaces:
  `IClassSpecificNameResolver`

Enclosing class:
  `CommonNameResolver`

public static class CommonNameResolver.ValueResolver extends Object implements IClassSpecificNameResolver

## Constructor Summary

Constructors
Constructor
Description
`ValueResolver()`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolve(IObject heapObject)`
Resolve the name for snapshot object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueResolver

public ValueResolver()

## Method Details

### resolve

public String resolve(IObject heapObject) throws SnapshotException
Description copied from interface: `IClassSpecificNameResolver`
Resolve the name for snapshot object.

Specified by:
  `resolve` in interface `IClassSpecificNameResolver`
Parameters:
  `heapObject` - object for which the name should be resolved
Returns:
  name for snapshot object
Throws:
  `SnapshotException` - problem retrieving the name